{% extends "header.html" %}
{% load url from future %}
{% load i18n %}

{% block contenido %}
<div class="row clearfix">
	<ul class="nav nav-tabs nav-append-content">
        <li class="{% ifequal "tab1" tag_actual %}active{% endifequal %}"><a href="#tab1">{% blocktrans %}General View{% endblocktrans %}</a></li>
        <li class="{% ifequal "tab2" tag_actual %}active{% endifequal %}"><a href="#tab2">{% blocktrans %}Charge{% endblocktrans %}</a></li>
    </ul>
    
    <div class="tab-content">
        <div class="tab-pane {% ifequal "tab1" tag_actual %}active{% endifequal %}" id="tab1">
        	<div class="row clearfix">
                <div class="col-md-1 column"></div>
            	<div class="col-md-3 column">
                    <form method="POST"> {% csrf_token %}
                        <div class="input-group input-group-sm">
                          <input class="form-control" id="appendedInputButton-04" name="liabilities_name_filter" type="search" placeholder="{% blocktrans %}Type name/username for filter{% endblocktrans %}">
                          <span class="input-group-btn">
                            <button class="btn" type="submit" name="liabilities_filter"><span class="fui-search" ></span></button>
                          </span>
                        </div>
                    </form>
                    <br/>
                </div>
        	</div>
        	<div class="row clearfix">
                <div class="col-md-1 column"></div>
            	<div class="col-md-8 column">
        			<div class="row clearfix">
                        <div class="col-md-12 column">
                            <div class="row clearfix">
                                <table class="table table-striped">
                                    <thead>
                                      <tr>
                                        <th>{% blocktrans %}Name{% endblocktrans %}</th>
                                        <th>{% blocktrans %}Email{% endblocktrans %}</th>
                                        <th>{% blocktrans %}Amount{% endblocktrans %}</th>
                                      </tr>
                                    </thead>
                                    <tbody>
                                        {% for usuario, importe in lista_deudas_paginada %}
                                      <tr>
                                        <td>{{usuario.nombre}} {{usuario.apellidos}}</td>
                                        <td>{{usuario.email}}</td>
                                        <td>{{importe}} &euro;</td>
                                      </tr>
                                        {% endfor %}
                                      </tr>
                                    </tbody>
                                  </table>
                            </div>
                            <div class="row clearfix">
                                <div class="col-md-12 column">
                                    <div class="text-center">
                                        <div class="pagination pagination-minimal">
                                            <ul>
                                                {% if lista_deudas_paginada.has_previous %}
                                                <li class="previous"><a href="?page={{ lista_deudas_paginada.previous_page_number }}" class="fui-arrow-left"></a></li>
                                                {% else %}
                                                <li class="previous"><a href="?page=1" class="fui-arrow-left"></a></li>
                                                {% endif %}
                                                {% for i in paginas %}
                                                  {% ifequal i lista_deudas_paginada.number %}
                                                <li class="active"><a href="?page={{i}}">{{i}}</a></li>
                                                  {% else %}
                                                <li><a href="?page={{i}}">{{i}}</a></li>
                                                  {% endifequal %}
                                                {% endfor %}
                                                <!--<li class="active"><a href="#fakelink">5</a></li>-->
                                                {% if lista_deudas_paginada.has_next %}
                                                <li class="next"><a href="?page={{ lista_deudas_paginada.next_page_number }}" class="fui-arrow-right"></a></li>
                                                {% else %}
                                                <li class="next"><a href="?page=99999999999999999" class="fui-arrow-right"></a></li>
                                                {% endif %}
                                            </ul>
                                            <br /><br /><br />
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-1 column"></div>
                <div class="col-md-2 column">
                    <h5>{% blocktrans %}There are{% endblocktrans %} {{importe_total}} &euro; {% blocktrans %}missing.{% endblocktrans %}</h5>
                    <h5>{{deudores}} {% blocktrans %}people left with debts.{% endblocktrans %}</h5>
                </div>
            </div>
        </div>
        <div class="tab-pane {% ifequal "tab2" tag_actual %} active {% endifequal %}" id="tab2">
			<div class="row clearfix">
                <div class="col-md-1 column"></div>
            	<div class="col-md-4 column">
                    <div class="row clear-fix">
                        <span class="glyphicon glyphicon-plus" data-toggle="modal" data-target="#ModalSearchUserForCharge"></span> {% blocktrans %}Add debts from customers{% endblocktrans %}
                    </div>
                </div>
                <div class="col-md-4"></div>
                <div class="col-md-3">
                    <div class="row clear-fix">
                        {% blocktrans %}Total{% endblocktrans %}
                    </div>
                    <p id="total_js">0</p>
                </div>
                <input type="text" id="total_js_temp" value="0" style="display:none;">
        	</div>
        	<div class="row clearfix">
                <form method="POST" id="liabilities_charge_big"> {% csrf_token %}
                    <div class="col-md-1 column"></div>
                	<div class="col-md-10 column">
            			<div class="row clearfix">
                            <div class="col-md-12 column">
                                <div class="row clearfix">
                                    <table class="table table-bordered">
                                        <thead>
                                          <tr>
                                            <th><label class="checkbox no-label toggle-all" for="checkbox-table-1" id="liabilities_checkbox_big" onclick="sumar_liabilities_todos(this);" pulsado="no"><span class="icons"><span class="first-icon fui-checkbox-unchecked"></span><span class="second-icon fui-checkbox-checked"></span></span><input type="checkbox" value="" id="checkbox-table-1" data-toggle="checkbox"></label></th>
                                            <th>{% blocktrans %}Date{% endblocktrans %}</th>
                                            <th>{% blocktrans %}Client{% endblocktrans %}</th>
                                            <th>{% blocktrans %}Amount{% endblocktrans %}</th>
                                          </tr>
                                        </thead>
                                        <tbody>
                                            {% for factura in lista_deudas_a_pagar %}
                                          <tr>
                                            <td>
                                                <label name="botones_con_importe" class="checkbox no-label" for="checkbox-table-2" onclick="sumar_liabilities(this);" importe="{{factura.importe}}" pulsado="no">
                                                    <span class="icons">
                                                        <span class="first-icon fui-checkbox-unchecked"></span>
                                                        <span class="second-icon fui-checkbox-checked"></span>
                                                    </span>
                                                    <input type="checkbox" value="" id="liabilities_charge_checkbox_{{factura.id}}" name="liabilities_charge_checkbox_{{factura.id}}" data-toggle="checkbox">
                                                </label>
                                            </td>
                                            <td>{{factura.fecha}}</td>
                                            <td>{{factura.cliente}}</td>
                                            <td>{{factura.importe}} &euro;</td>
                                            <input value="{{factura.importe}}" id="liabilities_charge_importe_{{factura.id}}" style="display:none;">
                                            <td><span class="fui-search" data-toggle="modal" data-target="#ModalSearchProducts"></span></td>
                                          </tr>
                                            {% endfor %}
                                        </tbody>
                                    </table>
                                    <div class="col-md-4 column"></div>
                                    <div class="col-md-4 column">
                                        <button type="submit" class="btn btn-lg btn-block btn-default" name="liabilities_charge_clean">{% blocktrans %}Clean{% endblocktrans %}</button>
                                    </div>
                                    <div class="col-md-4 column">
                                        <button type="submit" class="btn btn-lg btn-block btn-primary" name="liabilities_charge">{% blocktrans %}Charge{% endblocktrans %}</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
     </div>
</div> <!-- row -->
{% endblock %}
<!-- <div class="row clearfix"> -->
<!-- <div class="col-md-8 column"> -->